# Roots WordPress Theme [http://www.rootstheme.com/](http://www.rootstheme.com/)

## Changelog:

### 3.2.0: April 15th, 2011

<ul>
	<li>Added support for the 1140px Grid</li>
	<li>Updated the conditional comment code to match latest changes to HTML5 Boilerplate</li>
</ul>

#### Contributors
[John Liuti](http://twitter.com/JohnLiuti)

### 3.1.1: April 7th, 2011

<ul>
	<li>Fixed relative path function to work correctly when WordPress is installed in a subdirectory</li>
	<li>Updated jQuery to 1.5.2</li>
	<li>Fixed comments to show avatars correctly</li>
</ul>

#### Contributors
[Jenny Jui-Shan Liang](http://jsliang.twgogo.org/)

### 3.1.0: April 1st, 2011

<ul>
	<li>Added support for 960.gs thanks to John Liuti</li>
	<li>Added more onto the <code>.htaccess</code> from HTML5 Boilerplate</li>
	<li>Made the theme directory and name renamable</li>
</ul>

#### Contributors
[John Liuti](http://twitter.com/JohnLiuti), [Jeremiah Wall](http://jeremiahwall.com/)

### 3.0.0: March 28th, 2011

<ul>
	<li>Changed name from BB to Roots</li>
	<li>Updated various areas to match the latest changes to HTML5 Boilerplate</li>
	<li>Changed the theme markup based on hCard/Readability Guidelines and work by Jonathan Neal</li>
	<li>Theme activation now creates the navigation menus and automatically sets their locations</li>
	<li>Permalink structure is now set to <code>/%year%/%postname%/</code> for performance reasons</li>
	<li>Uploads folder is now /assets/ and not organized by month and date</li>
	<li>All static folders in <code>/wp-content/themes/roots/</code> (css/, js/, img/) now rewrite to the root (<code>/css/</code>, <code>/js/</code>, <code>/img/</code>)</li>
	<li><code>/wp-content/plugins/</code> now rewrites to <code>/plugins/</code></li>
	<li>More root relative URLs on WordPress functions</li>
	<li>Search results (<code>/?s=query</code>) now rewrites to <code>/search/query/</code></li>
	<li><code>l10n.js</code> is deregistered</li>
	<li>Gallery shortcode has been changed to output <code>&lt;figure&gt;</code> and <code>&lt;figcaption&gt;</code> and now links to the file by default</li>
	<li>Added more <code>loop.php</code> templates</li>
	<li>Made the HTML editor have a monospaced font</li>
	<li>Added <code>front-page.php</code></li>
	<li>Updated CSS for Gravity Forms 1.5</li>
	<li>Added <code>searchform.php template</code></li>
</ul>
	
#### Contributors
[Scott Walkinshaw](http://www.scottwalkinshaw.com/), [Matthew Price](http://www.matthewaprice.com/), [Kyle Geminden](http://www.kylegeminden.com/), [Steve Jothen](http://twitter.com/sjothen)

### 2.4.0: January 25th, 2011

<ul>
	<li>Added a notification when saving the theme settings</li>
	<li>Added support for navigation menus</li>
	<li>Created function that makes sure there is a Home page on theme activation</li>
	<li>Updated various areas to match the latest changes to HTML5 Boilerplate</li>
</ul>

### 2.3.0: December 8th, 2010

<ul>
	<li>Logo is no longer an <code>&lt;h1&gt;</code></li>
	<li>Added ARIA roles again</li>
	<li>Changed <code>ul#nav</code> to <code>nav#nav-main</code></li>
	<li>Added vCard to footer</li>
	<li>Made all URL's root relative</li>
	<li>Added Twitter and Facebook widgets to footer</li>
	<li>Added SEO optimized <code>robots.txt</code> from WordPress codex</li>
</ul>

### 2.2.0: September 20th, 2010

<ul>
	<li>Added asynchronous Google Analytics</li>
	<li>Updated <code>.htaccess</code> with latest changes from HTML5 Boilerplate</li>
</ul>

### 2.1.0: August 19th, 2010

<ul>
	<li>Removed optimizeLegibility from headings</li>
	<li>Updated jQuery to latest version</li>
	<li>Implemented HTML5 Boilerplate <code>.htaccess</code></li>
</ul>

### 2.0.1: August 2nd, 2010

<ul>
	<li>Added some presentational CSS classes</li>
	<li>Added footer widget</li>
	<li>Added more Gravity Forms default styling</li>
</ul>

### 2.0.0: July 19th, 2010

<ul>
	<li>Added HTML5 Boilerplate changes</li>
	<li>Implemented <code>loop.php</code></li>
	<li>wp_head cleanup</li>
	<li>Added <code>page-subpages.php</code> template</li>
</ul>

### 1.5.0: April 15th, 2010

<ul>
	<li>Integrated Paul Irish's frontend-pro-template (the original HTML5 Boilerplate)</li>
</ul>

### 1.0.0: December 18th, 2009

<ul>
	<li>Added Blueprint CSS to Starkers</li>
</ul>

## License:

Major components:

* HTML5 Boileplate: [The Unlicense](http://unlicense.org)
* Blueprint CSS: Modified MIT License
* 960 Grid System: MIT/GPL license
* Modernizr: MIT/BSD license
* jQuery: MIT/GPL license

Everything else:

* [The Unlicense](http://unlicense.org) (aka: public domain) 

## Summary:

Roots is a starting WordPress theme made for developers that's based on HTML5 Boilerplate, Blueprint CSS and Starkers that will help you rapidly create brochure sites and blogs.